#!/bin/bash
set -e

TEMP=`getopt -o h --long configure,install -- "$@"`
eval set -- "$TEMP"

# people from c style always mix these up
TRUE=0
FALSE=1

CONFIGURE=$FALSE
INSTALL=$FALSE
while true; do
    case "$1" in
        --configure) CONFIGURE=$TRUE; shift;;
        --install) INSTALL=$TRUE; shift;;
        --) shift; break;;
        *) break;;
    esac
done

echo  extra configure args: $@
echo

if [ ! -d build ] || [ $CONFIGURE -eq $TRUE ]; then
  autoreconf -i
  mkdir -p build
  (cd build && ../configure $@)
fi

if [ $INSTALL -eq $TRUE ]; then
  . ../env.sh
  make -C build DESTDIR=${DESTDIR:-$PREFIX} install
else
  make -C build
fi
