append_file() {
    local out=$1
    local f=$2
    if (test -f $f); then
        echo " \\" >> $out
        echo -n $f >> $out
    fi
}

append_list() {
  local -a filename=$1
  local -a newline=$2
  sort | while read line; do
    append_file $filename $line
  done
  if [ -n "$newline" ]; then
    echo >> $filename
  fi
}

echo -n '_DIST_FILES_WEB = ' > file.list

for f in `find ./webroot | egrep -v '(dss-setup-interface|dss-setup-interface.js|dss-overview-page.js|dss-interface-module.js|\.po$|\.pot$|\.swp$|\.in$|\.json$|setup\.html$|index\.html$|ext-all.js|ext-all-debug.js|ext-base.js|ext-base-debug.js|\.mo$|dss-langpack.json$)' | sort`
do
    append_file file.list $f
done

echo >> file.list

echo -n 'JS_SOURCE_FILES = ' > extra.list

for f in `find ./webroot/js/dss/dss-setup-interface | egrep '\.js$' | sort`
do
    append_file extra.list $f
done

echo >> extra.list
echo >> extra.list

echo -n 'EXTRA_DIST += ' >> extra.list

for f in `find ./webroot/locale  | egrep '(\.po$|\.pot$)' | sort`
do
    append_file extra.list $f
done

echo >> extra.list

pushd helper-ui

echo -n 'IMAGES =' > file.list
append_file file.list ./webroot/favicon.png
find ./webroot/images/ -type f | append_list file.list nl
echo >> file.list

echo -n 'JAVASCRIPT_RESOURCES =' >> file.list
find ./webroot/js/extjs/resources -type f -name '*.css' | append_list file.list
find ./webroot/js/extjs/ux -type f -regex '..*.\(js\|css\|png\|gif\)' | append_list file.list
find ./webroot/js/jsgettext -type f -name '*.js' | append_list file.list
find ./webroot/js/prototype -type f -name '*.js' | append_list file.list end
echo >> file.list

echo -n 'CSS_RESOURCES =' >> file.list
find ./webroot/js/dss -type f -name '*.css'  | append_list file.list end
echo >> file.list

echo -n 'LOCALE_RESOURCES =' >> file.list
find ./webroot/locale -type f  | append_list file.list end

echo -n 'JS_SOURCE_FILES = ' > extra.list
find ./webroot/js/dss/dss-setup-interface -name '*.js' | append_list extra.list end
