Ext.namespace("dSS", "dSS.config", "dSS.gthelper");

var missingTranslations = {};       // to make up for delay in setting dSS.data.Loader.Feed
var emptyTranslations = {};         // items format: { [msgid]: boolean } - true == already logged to console

var test = false;       // NEVER leave true in commits - this is only to check if all texts are translated; changes letters to gibberish
var logMissingAndEmtpyTranslation = false;

dSS._ = function(msgid, arg1, arg2) {
    // if the langpack could not be loaded we will still offer a functioning
    // UI in the default language
    if (dSS.gt === undefined) {
        return msgid;
    }

    var translation;
    if (arguments.length === 1) {
        translation = dSS.gt.gettext(msgid);
    } else if (arguments.length === 2) {
        translation = dSS.gt.ngettext(msgid, arg1);
    } else if (arguments.length === 3) {
        translation = dSS.gt.ngettext(msgid, arg1, arg2);
    }

    var isTranslationMissing = !Gettext._locale_data[dSS.gt.domain].msgs[msgid];
    var isTranslationEmpty = !isTranslationMissing && !Gettext._locale_data[dSS.gt.domain].msgs[msgid][1];
    if (isTranslationMissing && missingTranslations[msgid] == null) {
        missingTranslations[msgid] = false;
    }
    if (isTranslationEmpty && !emptyTranslations[msgid]) {
        emptyTranslations[msgid] = false;
    }
    if (dSS.data.Loader.Feed === 'development') {
        Object.keys(missingTranslations).forEach(function (msgidOfMissing) {
            if (!missingTranslations[msgidOfMissing]) {
                logMissingAndEmtpyTranslation && console.log('%cwebroot: %ctranslation missing: %c' + msgidOfMissing, 'color:#ddd', 'color:#444', 'color:#a20');
                missingTranslations[msgidOfMissing] = true;
            }
        });
        Object.keys(emptyTranslations).forEach(function (msgidOfEmpty) {
            if (!missingTranslations[msgidOfEmpty]) {
                logMissingAndEmtpyTranslation && console.log('%cwebroot: %ctranslation empty: %c' + msgidOfEmpty, 'color:#ddd', 'color:#888', 'color:#c83');
                missingTranslations[msgidOfEmpty] = true;
            }
        });
    }

    if (test && msgid) {
        return msgid.replaceAll(/[^ ]/gi, '#');
    }

    return translation || msgid;
};

dSS.gthelper.getDialogConfig = function(key) {
    var lang = dSS.config.language;
    // we know that german is always there, if a new languages is requested
    // which the UI is not yet aware of, use default german widths
    if (dSS.config.dialogSettings[lang] === undefined) {
        lang = 'de_DE';
    }

    val = dSS.config.dialogSettings[lang][key];
    if (val === undefined) { // fallback to German which is "default"
        val = dSS.config.dialogSettings['de_DE'][key];
    }
    return val;
};

Ext.override(Ext.form.NumberField, {
    minText: dSS._("The minimum value for this field is {0}"),
    maxText: dSS._("The maximum value for this field is {0}"),
    nanText: dSS._("{0} is not a valid number")
});
