//= require <dSS/GroupPanel>
//= require <dSS/grid/DevicePanel>
Ext.namespace('dSS');

dSS.GroupBrowser = Ext.extend(Ext.Panel, {
    initComponent: function() {

        Ext.apply(this, {
            cls: 'dsClsGroupBrowser',

            layout: 'border',
            items: [
            {
                xtype: 'dssgrouppanel',
                ref: 'groupPanel',
                region: 'west',
                width: 225,
                minSize: 175,
                maxSize: 400,
                split: true
            },
            {
                xtype: 'dssdevicepanel',
                ref: 'devicePanel',
                minSize: 400,
                region: 'center',
                featureConfig: dSS.config.FeatureConfig.GROUP
            }]
        });

        dSS.GroupBrowser.superclass.initComponent.apply(this, arguments);

        this.on('afterrender', function() {
            if (dSS.config.firstLoad === true) {
                var fn = dSS.util.maskViewport.createDelegate(this, [ 'mask' ]);
                fn();
                dSS.data.Loader.load();
                dSS.config.firstLoad = false;
            }
        },
        this);

        this.groupPanel.on('groupselection', function(group, state) {
                // forwad event to device grid panel
                this.devicePanel.fireEvent('groupselection', group, state);
            },
            this);

        this.on('activate', function() {
            if (this.groupPanel) {
                this.groupPanel.groupView.restoreSelection();
            }
        },
        this);

        this.devicePanel.on('removedfromgroup', function() {
            this.groupPanel.groupView.filterDevices();
        },
        this);

        dSS.MessageBus.on('reloadapartment',
            dSS.util.maskViewport.createDelegate(this, [ 'mask' ]),
            this);

        dSS.MessageBus.on('structureloaded',
            dSS.util.maskViewport.createDelegate(this, [ 'unmask' ]),
            this);
    }
});

Ext.reg('dssgroupbrowser', dSS.GroupBrowser);

