//= require <dSS/GroupView>
Ext.namespace('dSS');

dSS.GroupPanel = Ext.extend(Ext.Panel, {
    initComponent: function() {
        Ext.apply(this, {
            cls: 'dsClsGroupPanel',

            title: dSS._("Groups"),
            layout: 'border',
            items: [
            {
                xtype: 'dssgroupview',
                ref: 'groupView',
                region: 'center'
            }]
        });

        this.tbar = this.buildTopToolbar();

        this.zoneSortMode = 0;

        dSS.GroupPanel.superclass.initComponent.apply(this, arguments);
    },

    buildTopToolbar: function() {
        return [
            {
                iconCls: 'addUserGroupIcon',
                handler: this.createGroup.createDelegate(this),
                tooltip: dSS._("Create new user group"),
                ref: 'tbCreateGroup',
                scope: this
            },
            {
                iconCls: 'editUserGroupIcon',
                handler: this.editGroup.createDelegate(this),
                tooltip: dSS._("Edit user group"),
                ref: 'tbEditGroup',
                scope: this
            },
            '->',
            {
                iconCls: 'removeUserGroupIcon',
                handler: this.removeGroup.createDelegate(this),
                tooltip: dSS._("Remove user group"),
                ref: 'tbRemoveGroup',
                scope: this
            }
        ];
    },
    createGroup: function() {
        this.groupView.createGroup();
    },
    editGroup: function() {
        this.groupView.editGroup();
    },
    removeGroup: function() {
        this.groupView.removeGroup();
    }
});

Ext.reg('dssgrouppanel', dSS.GroupPanel);

