//= require <dSS/devices/property-dialogs/helpers/CreatePanelForDeviceProperties>
//= require <dSS/devices/property-dialogs/helpers/CreatePanelForShadeProperties>
//= require <dSS/devices/property-dialogs/helpers/CreatePanelForHeatingProperties>
//= require <dSS/devices/property-dialogs/helpers/CreatePanelForConsumptionSettings>
//= require <dSS/devices/property-dialogs/helpers/CreatePanelForRenaming>
//= require <dSS/devices/property-dialogs/helpers/CreatePanelForEditingGroups>
//= require <dSS/devices/property-dialogs/helpers/CreatePanelForAddingGroups>
//= require <dSS/devices/property-dialogs/helpers/CreatePanelForSensorValues>

Ext.namespace('dSS', 'dSS.config', 'dSS.devprops', 'dSS.gthelper');

dSS.devprops.CreatePropertiesPanel = function (dialogType, record, featureConfig, scope) {
    switch (dialogType) {
        case dSS.config.dialogTypes.DEVICE_PROPERTIES:
            return dSS.devprops.CreatePanelForDeviceProperties(record, featureConfig, scope);
        case dSS.config.dialogTypes.SHADE_PROPERTIES:
            return dSS.devprops.CreatePanelForShadeProperties(record);
        case dSS.config.dialogTypes.CONSUMPTION_SETTINGS:
            return dSS.devprops.CreatePanelForConsumptionSettings(record);
        case dSS.config.dialogTypes.RENAME_DIALOG:
            return dSS.devprops.CreatePanelForRenaming(record, featureConfig);
        case dSS.config.dialogTypes.EDIT_GROUP_DIALOG:
            return dSS.devprops.CreatePanelForEditingGroups(record);
        case dSS.config.dialogTypes.CREATE_GROUP_DIALOG:
            return dSS.devprops.CreatePanelForAddingGroups();
        case dSS.config.dialogTypes.HEATING_PROPERTIES:
            return dSS.devprops.CreatePanelForHeatingProperties(record);
        case dSS.config.dialogTypes.SENSOR_VALUES:
            return dSS.devprops.CreatePanelForSensorValues(record,
                featureConfig);
        default:
            // if this happened - there was an illegal use of the framework i.e.
            // programming error, user can't configure anything to ever get here
            return undefined;
    }
};
