dSS.devprops.CreatePanelForRenaming = function (record, featureConfig) {
    var loaders = [];
    var dsuid = record.get('dsuid');

    if (featureConfig === dSS.config.FeatureConfig.CIRCUIT) {
        loaders.push(
            new dSS.devprops.Loader({
                loaderId: dSS.devprops.Loaders.METER_NAME,
                url: '/json/circuit/getName',
                params: {
                    dsuid: dsuid
                }
            })
        );
    } else if (featureConfig === dSS.config.FeatureConfig.ZONE) {
        if (record.get('isFloor')) {
            loaders.push(
                new dSS.devprops.Loader({
                    loaderId: dSS.devprops.Loaders.FLOOR_NAME,
                    url: '/json/structure/getFloorName',
                    params: {
                        floorID: record.get('floorId')
                    }
                })
            );
        } else {
            loaders.push(
                new dSS.devprops.Loader({
                    loaderId: dSS.devprops.Loaders.ZONE_NAME,
                    url: '/json/zone/getName',
                    params: {
                        id: record.get('zoneId')
                    }
                })
            );
        }
    } else {
        loaders.push(
            new dSS.devprops.Loader({
                loaderId: dSS.devprops.Loaders.DEVICE_NAME,
                url: '/json/device/getName',
                params: {
                    dsuid: dsuid
                }
            })
        );
    }

    return {
        panel: new dSS.devprops.DevicePropertiesPanel({
            name: record.get('name'),
            showDefaults: false,
            standardForms: [ {
                xtype: 'dssgenericrenameform',
                featureConfig: featureConfig,
                deviceRecord: record
            } ],
            loaders: loaders,
            useTabs: false
        })
    };
};