
dSS.devprops.BaseRowColumnForm = Ext.extend(Ext.form.FormPanel, {
    makeRow (items, padding) {
        var labelStyleToAlignWithInputs = { marginTop: 4 };
        var amendedItems = items.map(function (item) {
            return item == null
                ? new Ext.BoxComponent({})
                : item;
        });
        var labelInSecondColumn = amendedItems[1] instanceof Ext.form.Label;
        Ext.apply(amendedItems[0], {
            width: this.columnWidths[0],
            style: labelStyleToAlignWithInputs
        });
        if (amendedItems.length > 2) {
            Ext.apply(amendedItems[1], {
                width: this.columnWidths[1],
                style: labelInSecondColumn ? labelStyleToAlignWithInputs : {}
            });
            Ext.apply(amendedItems[2], {
                width: this.columnWidths[2],
                style: labelStyleToAlignWithInputs
            });
        } else {
            Ext.apply(amendedItems[1], {
                width: this.columnWidths[1] + this.columnWidths[2],
                style: labelInSecondColumn ? labelStyleToAlignWithInputs : {}
            });
        }
        return new Ext.Container({
            layout: {
                type: 'hbox',
                defaultMargins: {
                    top: 0,
                    right: 5,
                    bottom: 0,
                    left: 0
                },
                padding: padding || '5 0'
            },
            items: amendedItems
        });
    },

    makeColumns (items, gutter) {
        return new Ext.Container({
            layout: {
                type: 'hbox',
                defaultMargins: {
                    top: 0,
                    right: gutter || 0,
                    bottom: 0,
                    left: 0
                }
            },
            items: items
        });
    }
});